Bug 40109 - Dell Lattitude Loses Video capabilities when docked
Dell Lattitude Loses Video capabilities when docked
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: 40554 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2001-05-10 14:02 EDT by Rodd Johnson
Modified: 2007-04-18 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-31 21:47:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodd Johnson 2001-05-10 14:02:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
When running version 7, the LCD and CRT via a docking station worked 
flawlessly on my Dell Lattitude CPi. With 7.1, XConfigurator now shows no 
entry for X Server and refuses to sync the monitor, even though probe 
finds the correct video card settings and the monitor is recognized 

How reproducible:

Steps to Reproduce:
1.Start XConfigurator
2.Press OK for PCI Probe (Note - no X Server present)
3.Press OK for Monitor Probe for a monitor that is recoqnized
4.Press Probe and OK
5.Press Use Default (16 bits per pixel, 1024x768)
6.Press OK to test configuration
7.Watch screen disconnect and start to flash the power light, indicating 
no signal.


Actual Results:  The monitor shows no input signal and switches to 
disconnected state. Tried two monitor vendors, identical behavior 
(Viewsonic MB90, Proview 770)

Expected Results:  Should have shown sample GNOME interface

Additional info:
Comment 1 Mike A. Harris 2001-05-11 01:12:14 EDT
XFree86 isn't quite mature for this sort of stuff.  Try adding
the following to your XF86Config-4 in the options section:

Option "crtscreen"

If that doesnt work, I need you to file attach using the link below, your:
XF86Config-4, and your X server log.
Comment 2 Mike A. Harris 2001-05-15 00:42:13 EDT
*** Bug 40554 has been marked as a duplicate of this bug. ***
Comment 3 Mike A. Harris 2001-05-31 21:47:18 EDT
Please supply the requested information.
Comment 4 Mike A. Harris 2002-02-09 03:05:05 EST
It's been 8+ months without feedback or troubleshooting information, so
I'm closing the bug report.  If this problem still exists in rawhide in
the XFree86 4.2.0 release, please attach 4.2.0 X server log and config
file, and reopen the report, and I can try to troubleshoot it further.


Note You need to log in before you can comment on or make changes to this bug.